- [HTTP request](https://docs.cloud.google.com/oracle/database/docs/reference/rest/v1/projects.locations.exadbVmClusters/get.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/oracle/database/docs/reference/rest/v1/projects.locations.exadbVmClusters/get.md.txt#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/oracle/database/docs/reference/rest/v1/projects.locations.exadbVmClusters/get.md.txt#body.request_body)
- [Response body](https://docs.cloud.google.com/oracle/database/docs/reference/rest/v1/projects.locations.exadbVmClusters/get.md.txt#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/oracle/database/docs/reference/rest/v1/projects.locations.exadbVmClusters/get.md.txt#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/oracle/database/docs/reference/rest/v1/projects.locations.exadbVmClusters/get.md.txt#body.aspect_1)

Gets details of a single Exadb (Exascale) VM Cluster.

### HTTP request

Choose an endpoint:
global asia-northeast2 asia-south2 asia-south1 australia-southeast2 europe-west8 northamerica-northeast2   
`GET https://oracledatabase.googleapis.com/v1/{name=projects/*/locations/*/exadbVmClusters/*}`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the ExadbVmCluster in the following format: projects/{project}/locations/{location}/exadbVmClusters/{exadbVmCluster}. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `ExadbVmCluster`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/oracle-database`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication.md.txt#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `oracledatabase.exadbVmClusters.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).